package cn.com.countrygarden.bi.main.dto;

import java.io.Serializable;
import java.util.List;

/**
 * package: cn.com.countrygarden.bi.main.dto
 * describe: 树形控件数据传输类
 * creat_user: lsl
 * creat_date: 2018/6/8
 * creat_time: 14:22
 **/
public class TreeDataDTO implements Serializable {

    private List data;
    private List<String> defaultCheckNodes;

    public TreeDataDTO() {
    }

    public TreeDataDTO(List data, List<String> defaultCheckNodes) {
        this.data = data;
        this.defaultCheckNodes = defaultCheckNodes;
    }

    public List getData() {
        return data;
    }

    public void setData(List data) {
        this.data = data;
    }

    public List<String> getDefaultCheckNodes() {
        return defaultCheckNodes;
    }

    public void setDefaultCheckNodes(List<String> defaultCheckNodes) {
        this.defaultCheckNodes = defaultCheckNodes;
    }
}
